- Home
- API Enriched
- Tenant And Identity
- ml
- GET API Endpoints Stats for All Namespaces.
GET API Endpoints Stats for All Namespaces.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/ml/data/namespaces/system/api_endpoints/all_ns_stats';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"namespace":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/ml/data/namespaces/system/api_endpoints/all_ns_stats \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "namespace": "example" }'GET API endpoints stats for all Namespaces. This API is specific to system namespace.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Request shape for GET API Endpoints Stats All Namespaces.
object
Namespace of the App type for current request.
Examplegenerated
{ "namespace": "example"}Responses
Section titled “Responses”A successful response.
Response shape for GET API endpoints Stats.
object
Number of endpoints that categorized as discover.
Number of endpoints that categorized as inventory.
Number of endpoints that detected with pii.
Number of endpoints that categorized as shadow.
Total endpoints.
Examplegenerated
{ "discovered": 1, "inventory": 1, "pii_detected": 1, "shadow": 1, "total_endpoints": 1}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example